<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module Collatz</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>Collatz</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/usr/collatz/Collatz.py">/usr/collatz/Collatz.py</a></font></td></tr></table>
    <p><tt>Module&nbsp;to&nbsp;actually&nbsp;perform&nbsp;the&nbsp;cycle&nbsp;length&nbsp;of&nbsp;a&nbsp;number&nbsp;as&nbsp;described&nbsp;in&nbsp;the<br>
Collatz&nbsp;conjecture</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="math.html">math</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#eeaa77">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Functions</strong></big></font></td></tr>
    
<tr><td bgcolor="#eeaa77"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt><a name="-collatz_eval"><strong>collatz_eval</strong></a>(i: int, j: int) -&gt; int</dt><dd><tt>i&nbsp;the&nbsp;beginning&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
j&nbsp;the&nbsp;end&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
return&nbsp;the&nbsp;max&nbsp;cycle&nbsp;length&nbsp;of&nbsp;the&nbsp;range&nbsp;[i,&nbsp;j]</tt></dd></dl>
 <dl><dt><a name="-collatz_print"><strong>collatz_print</strong></a>(writer: IO[str], i: int, j: int, val: int) -&gt; None</dt><dd><tt>print&nbsp;three&nbsp;ints<br>
w&nbsp;a&nbsp;writer<br>
i&nbsp;the&nbsp;beginning&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
j&nbsp;the&nbsp;end&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
v&nbsp;the&nbsp;max&nbsp;cycle&nbsp;length</tt></dd></dl>
 <dl><dt><a name="-collatz_read"><strong>collatz_read</strong></a>(string: str) -&gt; List[int]</dt><dd><tt>read&nbsp;two&nbsp;ints&nbsp;s&nbsp;a&nbsp;string&nbsp;and&nbsp;returns&nbsp;a&nbsp;list&nbsp;of&nbsp;two&nbsp;ints,<br>
representing&nbsp;the&nbsp;beginning&nbsp;and&nbsp;end&nbsp;of&nbsp;a&nbsp;range,&nbsp;[i,&nbsp;j]</tt></dd></dl>
 <dl><dt><a name="-collatz_solve"><strong>collatz_solve</strong></a>(reader: IO[str], writer: IO[str]) -&gt; None</dt><dd><tt>reader&nbsp;a&nbsp;reader<br>
writer&nbsp;a&nbsp;writer</tt></dd></dl>
 <dl><dt><a name="-populate_eager_cache"><strong>populate_eager_cache</strong></a>()</dt><dd><tt>Lazy&nbsp;eager_cache&nbsp;that&nbsp;stores&nbsp;cycle&nbsp;length&nbsp;for&nbsp;a&nbsp;number</tt></dd></dl>
 <dl><dt><a name="-run_collatz"><strong>run_collatz</strong></a>(i: int, steps: int) -&gt; int</dt><dd><tt>actually&nbsp;find&nbsp;the&nbsp;max&nbsp;value&nbsp;of&nbsp;the&nbsp;cycle&nbsp;length</tt></dd></dl>
</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>CACHE</strong> = {}<br>
<strong>Dict</strong> = typing.Dict<br>
<strong>EAGER_CACHE</strong> = {10000: 260, 20000: 279, 30000: 308, 40000: 324, 50000: 314, 60000: 340, 70000: 335, 80000: 351, 90000: 333, 100000: 333, ...}<br>
<strong>List</strong> = typing.List<br>
<strong>__annotations__</strong> = {'CACHE': typing.Dict[int, int], 'EAGER_CACHE': typing.Dict[int, int]}</td></tr></table>
</body></html>